<!DOCTYPE html>
<html>
  <head>
    {% block style %}
    {% endblock %}
    <style>
      body {
        font-family: arial, sans-serif;
      }
      .bg-grey {
        background-color: #c0c0c0;
        -webkit-print-color-adjust: exact;
      }
      .bg-grey-light {
        background-color: #f5f5f5;
        -webkit-print-color-adjust: exact;
      }
      .text-n {
        color: #ccb71c;
        font-weight: 600;
        -webkit-print-color-adjust: exact;
      }
      .text-p {
        color: #cc5f1c;
        font-weight: 600;
        -webkit-print-color-adjust: exact;
      }
      .text-k {
        color: #88cc1c;
        font-weight: 600;
        -webkit-print-color-adjust: exact;
      }
      .text-grey {
        color: #9e9e9e;
        -webkit-print-color-adjust: exact;
      }
      .text-bold {
        font-weight: 600;
      }
      table {
        border-collapse: collapse;
        width: 100%;
      }
      td, th {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
      }
    </style>
  </head>
  <body>
    <div id="content">
      {% for fertilization_plan in fertilization_plans %}
        <h1 style="margin-top: 0px;">{{ fertilization_plan.fertilization_plan_name }}</h1>
        <p>{{ fertilization_plan.holding_name }} ({{ fertilization_plan.campaign_name }})</p>
        <table>
          <tr>
            <th>
              Algoritmo
            </th>
            <th>
              Ultimo salvato a
            </th>
            <th>
              Rapporto creato a
            </th>
          </tr>
          <tr>
            <td>
              <div style="display: flex; flex-wrap: nowrap; align-items: center;">
                <div style="display: flex; align-items: center;">
                  <div style="width: 25px; height: auto;">{{ algorithm_logo|safe }}</div>
                  <div style="margin-left: 8px;">Visione</div>
                </div>
              </div>
            </td>
            <td>
              {{ fertilization_plan.fertilization_plan_date|datetimeformat("%Y-%m-%d %H:%M:%S", "%Y-%m-%dT%H:%M:%S.%f%z", "UTC") }}
            </td>
            <td>
              {{ current_date_time|datetimeformat("%Y-%m-%d %H:%M:%S", "%Y-%m-%dT%H:%M:%S.%f%z", "UTC") }}
            </td>
          </tr>
        </table>
        {% if fertilization_plan.recommendations_by_plot %}
          {% for plot_id, plot_recommendation in fertilization_plan.recommendations_by_plot.items() %}
            <h3 style="padding-top: 16px;">{{ plot_recommendation.plot_name }}</h3>
            {% if plot_recommendation.plot_preview %}
            <div style="width: 100%; max-height: 350px;">
              {{ plot_recommendation.plot_preview|safe }}
            </div>
            {% endif %}
            {% for recommendation in plot_recommendation.recommendations %}
              <p style="margin-top: 2em;">
                <span style="text-transform: uppercase;">
                  {{ recommendation.plant_species_name }}{% if recommendation.plant_species_profile_name %} - {{ recommendation.plant_species_profile_name }}{% endif %}
                </span>
                {% if not recommendation.crop_yield is none %}
                  <span>
                    &nbsp;- {{ recommendation.crop_yield }} {{ recommendation.crop_yield_unit_of_measure_symbol }}
                  </span>
                {% endif %}
              </p>
              <table style="margin-top: 1em;">
                <tr>
                  <th colspan="3" style="text-align: center; font-size: 1.15em;">
                    Raccomandazioni di nutrienti
                  </th>
                </tr>
                <tr>
                  {% for element_recommendation in recommendation.element_recommendations|selectattr("recommendation_type", "equalto", "RECOMMENDATION") %}
                    {% if element_recommendation.chemical_element_id|lower == 'n' %}
                      <th>Azoto - N</th>
                    {% elif element_recommendation.chemical_element_id|lower == 'p' %}
                      <th>Fosforo - P<sub>2</sub>O<sub>5</sub></th>
                    {% else %}
                      <th>Potassio - K<sub>2</sub>O</th>
                    {% endif %}
                  {% endfor %}
                </tr>
                <tr>
                  {% for element_recommendation in recommendation.element_recommendations|selectattr("recommendation_type", "equalto", "RECOMMENDATION") %}
                    <td><span class="text-bold">{{ element_recommendation.quantity }}</span> {{ element_recommendation.quantity_unit_of_measure_symbol }}</td>
                  {% endfor %}
                </tr>
              </table>
              <table style="margin-top: 2em;">
                <tr>
                  <th colspan="4" style="text-align: center; font-size: 1.15em;">
                    Dettaglio
                  </th>
                </tr>
                <tr>
                  <th></th>
                  <th>Azoto - N</th>
                  <th>Fosforo - P<sub>2</sub>O<sub>5</sub></th>
                  <th>Potassio - K<sub>2</sub>O</th>
                </tr>
                {% for element_recommendation_by_type in recommendation.element_recommendations_by_type %}
                <tr>
                  <td>{{ element_recommendation_by_type.recommendation_type_label }}</td>
                  <td>
                    {% if not element_recommendation_by_type.elements.n.quantity is none %}
                      {{ element_recommendation_by_type.elements.n.quantity }} {{ element_recommendation_by_type.elements.n.quantity_unit_of_measure_symbol }}
                    {% else %}
                      -
                    {% endif %}
                  </td>
                  <td>
                    {% if not element_recommendation_by_type.elements.p.quantity is none %}
                      {{ element_recommendation_by_type.elements.p.quantity }} {{ element_recommendation_by_type.elements.p.quantity_unit_of_measure_symbol }}
                    {% else %}
                      -
                    {% endif %}
                  </td>
                  <td>
                    {% if not element_recommendation_by_type.elements.k.quantity is none %}
                      {{ element_recommendation_by_type.elements.k.quantity }} {{ element_recommendation_by_type.elements.k.quantity_unit_of_measure_symbol }}
                    {% else %}
                      -
                    {% endif %}
                  </td>
                </tr>
                {% endfor %}
              </table>
              {% if recommendation.advices|length %}
                <p>Consigli:</p>
                <ul>
                  {% for advice in recommendation.advices %}
                    <li>{{ advice }}</li>
                  {% endfor %}
                </ul>
              {% endif %}
              {% if not loop.last %}
                <hr style="margin-top: 24px; margin-bottom: 24px;" />
              {% endif %}
            {% endfor %}
          {% endfor %}
        {% endif %}
        <hr style="margin-top: 24px; margin-bottom: 24px;" />
        {% if fertilization_plan.parameters %}
          <div style="">
            <p style="margin-top: 0;">Parametri del piano di fertilizzazione</p>
            <table>
              <tr>
                <th>Parametro</th>
                <th>Valore</th>
              </tr>
              {% if fertilization_plan.parameters.plant_species %}
                <tr>
                  <td>Coltura</td>
                  <td>{{ fertilization_plan.parameters.plant_species.name }}</td>
                </tr>
              {% endif %}
              {% if fertilization_plan.parameters.visione_profile %}
                <tr>
                  <td>Profilo della coltura</td>
                  <td>
                    {{ fertilization_plan.parameters.visione_profile.profile_name }}
                    {% if fertilization_plan.parameters.visione_profile.profile_option %}
                      {{ fertilization_plan.parameters.visione_profile.profile_option }}
                    {% endif %}
                  </td>
                </tr>
              {% endif %}
              {% if fertilization_plan.parameters.production_phase %}
                <tr>
                  <td>Fase di produzione</td>
                  <td>{{ fertilization_plan.parameters.production_phase.label }}</td>
                </tr>
              {% endif %}
              {% if fertilization_plan.parameters.fertilizations|length %}
                {% for fertilization in fertilization_plan.parameters.fertilizations %}
                  <tr>
                    <td>Fertilizzante {% if fertilization_plan.parameters.fertilizations|length > 1 %}({{ loop.index }}){% endif %}</td>
                    <td>
                      <span>{{ fertilization.organic_fertilizer.name }}</span>
                      <br>
                      <span>{{ fertilization.dose }} t/ettaro</span>
                      <br>
                      <span>
                        N: {{ fertilization.custom_concentration.n }}%,
                        P<sub>2</sub>O<sub>5</sub>: {{ fertilization.custom_concentration.p2o5 }}%,
                        K<sub>2</sub>O: {{ fertilization.custom_concentration.k2o }}%
                      </span>
                      {% if fertilization.organic_fertilizer_efficiency %}
                        <br>
                        <span>{{ fertilization.organic_fertilizer_efficiency.label }}</span>
                      {% endif %}
                    </td>
                  </tr>
                {% endfor %}
              {% endif %}
              {% if fertilization_plan.parameters.current_rotations|length %}
                {% for rotation in fertilization_plan.parameters.current_rotations %}
                  {% if fertilization_plan.parameters.current_rotations|length > 1 %}
                    <tr class="text-grey">
                      <td>Rotazioni delle colture ({{ loop.index }}/{{ fertilization_plan.parameters.current_rotations|length }})</td>
                      <td></td>
                    </tr>
                  {% endif %}
                  {% if rotation.plant_species %}
                    <tr>
                      <td>Coltura</td>
                      <td>{{ rotation.plant_species.name }}</td>
                    </tr>
                  {% endif %}
                  {% if rotation.visione_profile %}
                    <tr>
                      <td>Profilo della coltura</td>
                      <td>
                        {{ rotation.visione_profile.profile_name }}
                        {% if rotation.visione_profile.profile_option %}
                          {{ rotation.visione_profile.profile_option }}
                        {% endif %}
                      </td>
                    </tr>
                  {% endif %}
                  {% if rotation.visione_profile and rotation.visione_profile.profile_group == 'orticole' and not rotation.crop_cycles is none %}
                    <tr>
                      <td>Numero di cicli di coltura</td>
                      <td>{{ rotation.crop_cycles }}</td>
                    </tr>
                  {% endif %}
                  {% if not rotation.crop_yield_per_cycle is none %}
                    <tr>
                      <td>Resa delle colture</td>
                      <td>{{ rotation.crop_yield_per_cycle }}t</td>
                    </tr>
                  {% endif %}
                  {% if not rotation.crop_yield_per_cycle is none %}
                    <tr>
                      <td>Umidità del raccolto</td>
                      <td>{{ rotation.crop_yield_humidity_per_cycle }}%</td>
                    </tr>
                  {% endif %}
                  {% if not rotation.residues_are_buried is none %}
                    <tr>
                      <td>Interrerai i residui di questa coltura?</td>
                      <td>{{ 'Sì' if rotation.residues_are_buried else 'No' }}</td>
                    </tr>
                  {% endif %}
                  {% if not rotation.is_green_manure_cover_crop is none %}
                    <tr>
                      <td>È la rotazione usata come coltura di copertura?</td>
                      <td>{{ 'Sì' if rotation.is_green_manure_cover_crop else 'No' }}</td>
                    </tr>
                  {% endif %}
                  {% if rotation.fertilizations|length %}
                    {% for fertilization in rotation.fertilizations %}
                      <tr>
                        <td>Fertilizzante {% if rotation.fertilizations|length > 1 %}({{ loop.index }}){% endif %}</td>
                        <td>
                          <span>{{ fertilization.organic_fertilizer.name }}</span>
                          <br>
                          <span>{{ fertilization.dose }} t/ettaro</span>
                          <br>
                          <span>
                            N: {{ fertilization.custom_concentration.n }}%,
                            P<sub>2</sub>O<sub>5</sub>: {{ fertilization.custom_concentration.p2o5 }}%,
                            K<sub>2</sub>O: {{ fertilization.custom_concentration.k2o }}%
                          </span>
                          {% if fertilization.organic_fertilizer_efficiency %}
                            <br>
                            <span>{{ fertilization.organic_fertilizer_efficiency.label }}</span>
                          {% endif %}
                        </td>
                      </tr>
                    {% endfor %}
                  {% endif %}
                {% endfor %}
              {% endif %}
              {% if fertilization_plan.parameters.previous_rotation %}
                <tr class="text-grey">
                  <td>Campagna precedente</td>
                  <td></td>
                </tr>
                {% if fertilization_plan.parameters.previous_rotation.plant_species %}
                  <tr>
                    <td>Coltura</td>
                    <td>{{ fertilization_plan.parameters.previous_rotation.plant_species.name }}</td>
                  </tr>
                {% endif %}
                {% if fertilization_plan.parameters.previous_rotation.visione_profile %}
                  <tr>
                    <td>Profilo della coltura</td>
                    <td>
                      {{ fertilization_plan.parameters.previous_rotation.visione_profile.profile_name }}
                      {% if fertilization_plan.parameters.previous_rotation.visione_profile.profile_option %}
                        {{ fertilization_plan.parameters.previous_rotation.visione_profile.profile_option }}
                      {% endif %}
                    </td>
                  </tr>
                {% endif %}
                {% if not fertilization_plan.parameters.previous_rotation.residues_are_buried is none %}
                  <tr>
                    <td>Hai interrato i residui di questa coltura?</td>
                    <td>{{ 'Sì' if fertilization_plan.parameters.previous_rotation.residues_are_buried else 'No' }}</td>
                  </tr>
                {% endif %}
                {% if not fertilization_plan.parameters.previous_rotation.crop_yield_per_cycle is none %}
                  <tr>
                    <td>Resa delle colture</td>
                    <td>{{ fertilization_plan.parameters.previous_rotation.crop_yield_per_cycle }}t</td>
                  </tr>
                {% endif %}
                {% if not fertilization_plan.parameters.previous_rotation.crop_yield_humidity_per_cycle is none %}
                  <tr>
                    <td>Umidità del raccolto</td>
                    <td>{{ fertilization_plan.parameters.previous_rotation.crop_yield_humidity_per_cycle }}%</td>
                  </tr>
                {% endif %}
                {% if fertilization_plan.parameters.previous_rotation.manure_distribution %}
                  <tr>
                    <td>Qual è la frequenza di distribuzione del letame o del compost su questo terreno?</td>
                    <td>{{ fertilization_plan.parameters.previous_rotation.manure_distribution.label }}</td>
                  </tr>
                {% endif %}
                {% if fertilization_plan.parameters.previous_rotation.fertilization %}
                  <tr>
                    <td>Fertilizzante</td>
                    <td>
                      <span>{{ fertilization_plan.parameters.previous_rotation.fertilization.organic_fertilizer.name }}</span>
                      <br>
                      <span>{{ fertilization_plan.parameters.previous_rotation.fertilization.dose }} t/ettaro</span>
                      <br>
                      <span>
                        N: {{ fertilization_plan.parameters.previous_rotation.fertilization.custom_concentration.n }}%,
                        P<sub>2</sub>O<sub>5</sub>: {{ fertilization_plan.parameters.previous_rotation.fertilization.custom_concentration.p2o5 }}%,
                        K<sub>2</sub>O: {{ fertilization_plan.parameters.previous_rotation.fertilization.custom_concentration.k2o }}%
                      </span>
                      {% if fertilization_plan.parameters.previous_rotation.fertilization.organic_fertilizer_efficiency %}
                        <br>
                        <span>{{ fertilization_plan.parameters.previous_rotation.fertilization.organic_fertilizer_efficiency.label }}</span>
                      {% endif %}
                    </td>
                  </tr>
                {% endif %}
                {% if fertilization_plan.parameters.soil_objects|length %}
                  <tr class="text-grey">
                    <td>Caratteristiche del suolo</td>
                    <td></td>
                  </tr>
                  <tr>
                    <td>Tessitura del suolo</td>
                    <td>{{ fertilization_plan.parameters.soil_objects[0].observations.texture.value.label }}</td>
                  </tr>
                  <tr>
                    <td>Percentuale di sabbia nel suolo</td>
                    <td>
                      {% if not fertilization_plan.parameters.soil_objects[0].observations.sand_pct.value is none %}
                      {{ fertilization_plan.parameters.soil_objects[0].observations.sand_pct.value }}%
                      {% else %}
                      -
                      {% endif %}
                    </td>
                  </tr>
                  <tr>
                    <td>Percentuale di argilla nel suolo</td>
                    <td>
                      {% if not fertilization_plan.parameters.soil_objects[0].observations.clay_pct.value is none %}
                      {{ fertilization_plan.parameters.soil_objects[0].observations.clay_pct.value }}%
                      {% else %}
                      -
                      {% endif %}
                    </td>
                  </tr>
                  <tr>
                    <td>Il tuo suolo è calcareo (calcare totale > 10%)?</td>
                    <td>{{ 'Sí' if fertilization_plan.parameters.soil_objects[0].observations.is_limy.value else 'No' }}</td>
                  </tr>
                  <tr>
                    <td>Fosforo disponibile come P Olsen</td>
                    <td>{{ fertilization_plan.parameters.soil_objects[0].observations.phosphorus.value }}ppm</td>
                  </tr>
                  <tr>
                    <td>Potassio disponibile come K scambiabile</td>
                    <td>{{ fertilization_plan.parameters.soil_objects[0].observations.potassium.value }}ppm</td>
                  </tr>
                  <tr>
                    <td>Percentuale di sostanza organica nel suolo</td>
                    <td>{{ fertilization_plan.parameters.soil_objects[0].observations.organic_matter_pct.value }}%</td>
                  </tr>
                  <tr>
                    <td>Rapporto C/N (carbonio per azoto)</td>
                    <td>{{ fertilization_plan.parameters.soil_objects[0].observations.c_n.value }}</td>
                  </tr>
                {% endif %}
              {% endif %}
            </table>
          </div>
        {% endif %}
        {% if not loop.last %}
          <hr style="margin-top: 36px; margin-bottom: 36px;" />
        {% endif %}
      {% endfor %}
    </div> 
  </body>
</html>